* ERROR BARS FOR EACH TASK WITH MEAN REPRESENTED BY A BAR

GRAPH
  /BAR(SIMPLE)=MEAN(score) BY medium
  /INTERVAL CI( 95).

GRAPH
  /BAR(SIMPLE)=MEAN(score) BY gender
  /INTERVAL CI( 95).

* INTERACTION PLOT

IF (MEDIUM EQ 1 AND GENDER EQ 1) COMB = 1.
IF (MEDIUM EQ 2 AND GENDER EQ 1) COMB = 2.
IF (MEDIUM EQ 3 AND GENDER EQ 1) COMB = 3.

IF (MEDIUM EQ 1 AND GENDER EQ 2) COMB = 4.
IF (MEDIUM EQ 2 AND GENDER EQ 2) COMB = 5.
IF (MEDIUM EQ 2 AND GENDER EQ 3) COMB = 6.
EXE.


EXAMINE
  VARIABLES=SCORE BY comb
  /PLOT NONE
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

* EITHER PUT MEANS AND 95% CI IN BY HAND FROM THE ABOVE USING 
* UPPERBOUND - MEAN
* OR USE OMS SYNTAX BUT MAKE SURE YOUR OUTPUT LABELS UNDER EDIT>OPTIONS
* ARE LABELS, LABELS, NAMES, LABELS GOING DOWN THE OUTLINE LABELS LIST FROM
* TOP TO BOTTOM FIRST
* THEN USE http://imaging.mrc-cbu.cam.ac.uk/statswiki/FAQ/ExcelErrorBars

UNIANOVA
  score  BY medium gender
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /SAVE = PRED (PRE) ZRESID (ZRES)
  /CRITERIA = ALPHA(.05)
  /DESIGN = medium gender medium*gender .

* THERE IS A MEDIUM BY GENDER INTERACTION: F(2,12) - 4.84, P<0.05)

* simple effects analysis

* firstly output the gender means for each medium

TEMPORARY.
SELECT IF (MEDIUM EQ 1).

MEANS
  TABLES=score  BY gender
  /CELLS MEAN COUNT STDDEV  .


TEMPORARY.
SELECT IF (MEDIUM EQ 2).

MEANS
  TABLES=score  BY gender
  /CELLS MEAN COUNT STDDEV  .

TEMPORARY.
SELECT IF (MEDIUM EQ 3).

MEANS
  TABLES=score  BY gender
  /CELLS MEAN COUNT STDDEV  .

* anova simple effect gender in medium 1

GLM SCORE by GENDER MEDIUM 
/METHOD = SSTYPE(3) 
/CRITERIA = ALPHA(.05) 
/LMATRIX GENDER -1 1  MEDIUM*GENDER -1 0 0 1 0 0             
/DESIGN GENDER MEDIUM GENDER*MEDIUM.

* anova simple effect gender in medium 2

GLM SCORE by GENDER MEDIUM 
/METHOD = SSTYPE(3) 
/CRITERIA = ALPHA(.05) 
/LMATRIX GENDER -1 1  MEDIUM*GENDER 0 -1 0 0 1 0              
/DESIGN GENDER MEDIUM GENDER*MEDIUM.

* anova simple effect gender in medium 3

GLM SCORE by GENDER MEDIUM 
/METHOD = SSTYPE(3) 
/CRITERIA = ALPHA(.05) 
/LMATRIX GENDER -1 1  MEDIUM*GENDER 0 0 -1 0 0 1              
/DESIGN GENDER MEDIUM GENDER*MEDIUM.

