
* MAKE SURE BEFORE RUNNING THIS THAT UNDER EDIT>OPTIONS AND UNDER THE 
* OUTPUT LABELS TAB:
* YOU HAVE VARIABLES IN ITEM LABELS SHOWN AS LABELS, 
* VARIABLE VALUES IN ITEM LABELS SHOWN AS LABELS, IN PIVOT TABLE LABELING
* VARIABLES IN LABELS ARE SHOWN AS NAMES AND VARIABLE VALUES IN LABELS 
* ARE SHOWN AS LABELS. 

* GROUP 1 IS P1
* GROUP 2 IS P2
* GROUP 3 ARE THE CONTROLS

GET FILE='E:\DEMO ANOVA DATA\BALANCED.SAV'.

* ERROR BARS FOR EACH TASK WITH MEAN REPRESENTED BY A BAR
* NOTE: THIS CODE USES VERSION 13 OF SPSS OR LATER

GRAPH
  /BAR(SIMPLE)=MEAN(score) BY task
  /INTERVAL CI( 95).

* CHECK NORMALITY AND HOMOGENEITY OF VARIANCE

if (TASK eq 1 and GROUP eq 1) TGP=1.
if (TASK eq 2 and GROUP eq 1) TGP=2.
if (TASK eq 3 and GROUP eq 1) TGP=3.
if (TASK eq 4 and GROUP eq 1) TGP=4.
if (TASK eq 1 and GROUP eq 2) TGP=5.
if (TASK eq 2 and GROUP eq 2) TGP=6.
if (TASK eq 3 and GROUP eq 2) TGP=7.
if (TASK eq 4 and GROUP eq 2) TGP=8.
if (TASK eq 1 and GROUP eq 3) TGP=9.
if (TASK eq 2 and GROUP eq 3) TGP=10.
if (TASK eq 3 and GROUP eq 3) TGP=11.
if (TASK eq 4 and GROUP eq 3) TGP=12.

EXAMINE
  VARIABLES=score BY tGP
  /PLOT BOXPLOT STEMLEAF NPPLOT SPREADLEVEL(1)
  /COMPARE GROUP
  /STATISTICS DESCRIPTIVES
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.


* OBTAIN MEANS AND STANDARD DEVIATIONS FOR group/task INPUT INTO EXCEL


SPLIT FILE BY GROUP.
EXE.

MEANS
  TABLES=score  BY task
  /CELLS MEAN COUNT STDDEV  .

SPLIT FILE OFF.

* SLIGHTLY QUICKER WAY

if (TASK eq 1 and GROUP eq 1) TGP=1.
if (TASK eq 2 and GROUP eq 1) TGP=2.
if (TASK eq 3 and GROUP eq 1) TGP=3.
if (TASK eq 4 and GROUP eq 1) TGP=4.
if (TASK eq 1 and GROUP eq 2) TGP=5.
if (TASK eq 2 and GROUP eq 2) TGP=6.
if (TASK eq 3 and GROUP eq 2) TGP=7.
if (TASK eq 4 and GROUP eq 2) TGP=8.
if (TASK eq 1 and GROUP eq 3) TGP=9.
if (TASK eq 2 and GROUP eq 3) TGP=10.
if (TASK eq 3 and GROUP eq 3) TGP=11.
if (TASK eq 4 and GROUP eq 3) TGP=12.

OMS
/SELECT TABLES
/IF SUBTYPES=['DESCRIPTIVES']
/DESTINATION FORMAT=SAV OUTFILE='F:\DEMO ANOVA DATA\forplots2.sav'
/COLUMNS SEQUENCE=[R3].

EXAMINE
  VARIABLES=score BY tgp
  /PLOT NONE
  /STATISTICS
  /CINTERVAL 95
  /MISSING LISTWISE
  /NOTOTAL.

OMSEND.

GET
  FILE='F:\DEMO ANOVA DATA\forplots2.sav'.
exe.

* COULD PUT THESE INTO EXCEL "BY HAND".
* 
* STATS:
*
* WIDTH = ABS( T(0.025,4) X SD/SQRT(N) ) = 2.77 X 1.923 / SQRT(5)
                                         = 2.388 (FOR TASK 1 GROUP 1).
 

compute width=UpperBound-Mean.
exe.

*Saves to EXCEL (doesn't appear to overwrite an existing file).

select if(var3 eq 'Statistic').
SAVE TRANSLATE OUTFILE='F:\DEMO ANOVA DATA\ebars2.xls'
  /TYPE=XLS /VERSION=8 /MAP /REPLACE /FIELDNAMES
  /CELLS=VALUES
  /DROP=Command_ Subtype_ Label_ Var1 Var2 Var3 LowerBound UpperBound @5TrimmedMean Median Variance Std.Deviation Minimum
  Maximum Range InterquartileRange Skewness Kurtosis  .


