
GET FILE='E:\DEMO ANOVA DATA\UNBALANCED.SAV'.

* sequential sums of squares differ from unique sums of squares
* in plain english the relationship between blood pressure and smoking
* status is mathematically influenced by taking smoking history into account
* when data is unbalanced but the effect of smoking status on blood pressure
* is mathematically independent of smoking history when the data is balanced.

UNIANOVA
  bp  BY status history
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = status history status*history.

* THIS IS WHAT YOU SHOULD DO - DROP NS INTERACTION AND LOOK AT MAIN EFFECTS

UNIANOVA
  bp  BY status history
  /METHOD = SSTYPE(3)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = status history.

* EQUIVALENT OF TYPE 2 SS FOR MAIN EFFECTS WITH INTERACTION
* TYPE 2 SS FOR EACH MAIN EFFECT IGNORES THEIR INTERACTION

UNIANOVA
  bp  BY status history
  /METHOD = SSTYPE(2)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = status history status*history.

UNIANOVA
  bp  BY status history
  /METHOD = SSTYPE(2)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = status history.

* SUMS OF SQUARES FOR SMOKING STATUS IS CHANGED BY THE PRESENCE
* OF SMOKING HISTORY; SS(SMOKING HISTORY) IS THE SAME AS MODEL
* FIRST FITTED (ABOVE) AS IT IS ADJUSTED BY THE PRESENCE OF SMOKING 
* STATUS IN BOTH MODELS FITTED

UNIANOVA
  bp  BY status history
  /METHOD = SSTYPE(1)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = status history.

* SUMS OF SQUARES FOR SMOKING HISTORY IS CHANGED BY THE PRESENCE
* OF SMOKING STATUS; SS(SMOKING STATUS) IS THE SAME AS FIRST MODEL 
* AS IT IS ADJUSTED BY THE PRESENCE OF SMOKING STATUS IN BOTH MODELS

UNIANOVA
  bp  BY status history
  /METHOD = SSTYPE(1)
  /INTERCEPT = INCLUDE
  /CRITERIA = ALPHA(.05)
  /DESIGN = history status.
